#ifndef CUSTOMSORTFILTERSYSTEMMODEL_H
#define CUSTOMSORTFILTERSYSTEMMODEL_H

#include <QSortFilterProxyModel>

class CustomSortFilterProxyModel : public QSortFilterProxyModel
{
    Q_OBJECT

public:
    CustomSortFilterProxyModel(QObject *parent = nullptr);
    Q_INVOKABLE QString filePath(const QModelIndex &index);

protected:
   bool filterAcceptsRow(int sourceRow, const QModelIndex &sourceParent) const;

};

#endif // CUSTOMSORTFILTERSYSTEMMODEL_H
